# -*- Mode: perl -*-

# a test script for ARDB::Configuration

# $Id: configuration.t,v 1.4 2003/04/14 09:06:58 vano Exp $


use Test;
use strict;

BEGIN { plan tests => 2 ; }

use ARDB::Configuration;

ok( 1 );


$ARDB::DEBUG    = 1;
$ARDB::LOGPRINT = 1;

use Data::Dumper;

sub printout
 {
  my ($data, $name) = @_;
  print Data::Dumper->Dump([$data], [$name] )
 };

my $conf = new ARDB::Configuration 't/home/configuration.xml';

ok ( $conf );

# check status
print "failed to load configuration" 
  if not $conf;

printout ( $conf, 'conf' );


